<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.gds.ng.wire.version13 Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.ng.wire.version13 Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/package-tree.html">Prev</a></li>
<li><a href="../../../../../../org/firebirdsql/jaybird/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version13/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.gds.ng.wire.version13</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbAttachment</span></a>&lt;T&gt; (implements org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbDatabase</span></a>&lt;T&gt; (implements org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>, org.firebirdsql.gds.ng.listeners.<a href="../../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">AbstractFbWireDatabase</span></a> (implements org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version10.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">V10Database</span></a> (implements org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version11.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">V11Database</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version12.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12Database.html" title="class in org.firebirdsql.gds.ng.wire.version12"><span class="typeNameLink">V12Database</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version13.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version13/V13Database.html" title="class in org.firebirdsql.gds.ng.wire.version13"><span class="typeNameLink">V13Database</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbStatement</span></a> (implements org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">AbstractFbWireStatement</span></a> (implements org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version10.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">V10Statement</span></a> (implements org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version11.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Statement.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">V11Statement</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version12.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12Statement.html" title="class in org.firebirdsql.gds.ng.wire.version12"><span class="typeNameLink">V12Statement</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version13.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version13/V13Statement.html" title="class in org.firebirdsql.gds.ng.wire.version13"><span class="typeNameLink">V13Statement</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractParameterConverter</span></a>&lt;D,S&gt; (implements org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;D,S&gt;)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version10.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">V10ParameterConverter</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version11.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">V11ParameterConverter</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version12.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version12"><span class="typeNameLink">V12ParameterConverter</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version13.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version13/V13ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version13"><span class="typeNameLink">V13ParameterConverter</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">AbstractProtocolDescriptor</span></a> (implements org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version13.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version13/Version13Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version13"><span class="typeNameLink">Version13Descriptor</span></a> (implements org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractWireOperations.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">AbstractWireOperations</span></a> (implements org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version10.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">V10WireOperations</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version11.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">V11WireOperations</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.wire.version13.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version13/V13WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version13"><span class="typeNameLink">V13WireOperations</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/package-tree.html">Prev</a></li>
<li><a href="../../../../../../org/firebirdsql/jaybird/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version13/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
